Skip to main content
GET
/
2
/
pm
/
market
/
live
Active live (UpDown) markets
curl --request GET \
  --url https://demo-api.mobula.io/api/2/pm/market/live
{
  "data": [
    {
      "platform": "<string>",
      "marketId": "<string>",
      "slug": "<string>",
      "question": "<string>",
      "category": "<string>",
      "status": "<string>",
      "logo": "<string>",
      "volume24hUSD": 123,
      "totalVolumeUSD": 123,
      "liquidityUSD": 123,
      "openInterestUSD": 123,
      "endDate": "<string>",
      "createdAt": "<string>",
      "eventId": "<string>",
      "eventSlug": "<string>",
      "eventTitle": "<string>",
      "outcomes": [
        {
          "outcomeId": "<string>",
          "label": "<string>",
          "priceUSD": 123
        }
      ],
      "tradesCount": 123
    }
  ],
  "pagination": {
    "page": 123,
    "offset": 123,
    "limit": 123,
    "pageEntries": 123,
    "totalCount": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "hostname": "<string>",
  "took": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mobula.io/llms.txt

Use this file to discover all available pages before exploring further.

Alpha — This endpoint is part of the Prediction Markets API, currently in early access. May change without notice.

Query Parameters

tokens
string
default:"btc,eth,sol,xrp"
Comma-separated token symbols (lowercase). Filters markets related to these tokens.
duration
string
default:"5m"
Market duration filter. Possible values: 5m, 15m, 4h.
limit
number
default:"50"
Number of markets to return.
offset
number
default:"0"
Pagination offset.

Response

data
array
Array of live market objects.
pagination
object
Pagination metadata.
hostname
string
Server hostname that handled the request.
took
number
Response time in milliseconds.

Usage Example

curl -X GET "https://api.mobula.io/api/2/pm/market/live?tokens=btc,eth&duration=5m"

Example Response

{
  "data": [
    {
      "platform": "polymarket",
      "marketId": "0x1234...",
      "slug": "btc-above-100k-next-5m",
      "question": "Will BTC be above $100,000 in 5 minutes?",
      "category": "crypto",
      "status": "active",
      "volume24hUSD": 0,
      "totalVolumeUSD": 0,
      "liquidityUSD": 15242.41,
      "endDate": "2026-03-17T12:05:00Z",
      "createdAt": "2026-03-17T12:00:00Z",
      "logo": "https://polymarket-upload.s3.us-east-2.amazonaws.com/BTC+fullsize.png",
      "tradesCount": 0,
      "outcomes": [
        { "outcomeId": "71321...", "label": "Yes", "priceUSD": 0.55 },
        { "outcomeId": "71322...", "label": "No", "priceUSD": 0.45 }
      ]
    }
  ],
  "pagination": {
    "page": 1,
    "offset": 0,
    "limit": 50,
    "pageEntries": 1
  },
  "hostname": "api-node-01",
  "took": 42
}

Query Parameters

duration
enum<string>
default:5m
Available options:
5m,
15m,
4h
limit
number
default:50
Required range: 1 <= x <= 100
offset
number | null
default:0
Required range: x >= 0

Response

200 - application/json

Prediction Markets response

data
object[]
required
pagination
object
required
hostname
string
required
took
number
required